# Generated by Django 4.2 on 2024-07-12 16:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0002_alter_municipality_code_alter_province_code_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='DataCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('order', models.IntegerField(default=0)),
                ('priority', models.IntegerField(default=0)),
                ('app_category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='data_categories', to='main.appcategory')),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='data_categories', to='main.geocontext')),
            ],
            options={
                'ordering': ['priority'],
            },
        ),
        migrations.CreateModel(
            name='QueryPlaceholder',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('symbol', models.CharField(max_length=200)),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='query_constants', to='main.geocontext')),
            ],
            options={
                'unique_together': {('geo_context', 'symbol')},
            },
        ),
        migrations.CreateModel(
            name='QueryPlaceholderValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
                ('placeholder', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='values', to='main.queryplaceholder')),
            ],
            options={
                'unique_together': {('placeholder', 'value')},
            },
        ),
        migrations.CreateModel(
            name='WLMCategoryRule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sector', models.CharField(blank=True, default='', max_length=200)),
                ('order', models.IntegerField(default=0, unique=True)),
                ('app_category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wlm_category_rules', to='main.appcategory')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='WLMCategoryRulePredicate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('property', models.CharField(max_length=200)),
                ('value', models.CharField(max_length=200)),
                ('rule', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='predicates', to='main.wlmcategoryrule')),
            ],
        ),
        migrations.RemoveField(
            model_name='query',
            name='app_categories',
        ),
        migrations.AddField(
            model_name='monument',
            name='sparql_queries',
            field=models.ManyToManyField(blank=True, to='main.query'),
        ),
        migrations.AddField(
            model_name='query',
            name='categorize_for_app',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='municipality',
            name='code',
            field=models.CharField(max_length=200),
        ),
        migrations.DeleteModel(
            name='MonumentImage',
        ),
        migrations.AddField(
            model_name='query',
            name='data_categories',
            field=models.ManyToManyField(blank=True, to='main.datacategory'),
        ),
        migrations.AddField(
            model_name='query',
            name='placeholder',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='queries', to='main.queryplaceholder'),
        ),
    ]
